Skip to main content
GET
/
v1
/
issuing
/
cards
/
{id}
Retrieve Card
curl --request GET \
  --url https://api-sandbox.uqpaytech.com/api/v1/issuing/cards/{id} \
  --header 'x-auth-token: <api-key>'
{
  "card_id": "c0cef051-29c5-4796-b86a-cd5b684bfad7",
  "card_bin": "40963608",
  "card_scheme": "VISA",
  "card_number": "************5668",
  "form_factor": "VIRTUAL",
  "mode_type": "SHARE",
  "card_limit": 2100.02,
  "available_balance": 2000.05,
  "cardholder": {
    "cardholder_id": "7c4ff2cd-1bf6-4aaa-bf16-266771425011",
    "email": "[email protected]",
    "number_of_cards": 1,
    "first_name": "Emily",
    "last_name": "Toy",
    "create_time": "2024-05-09 15:52:23",
    "cardholder_status": "SUCCESS",
    "date_of_birth": "1990-01-01",
    "country_code": "SG",
    "phone_number": "86683306",
    "gender": "MALE",
    "nationality": "SG",
    "residential_address": {
      "country": "SG",
      "city": "Singapore",
      "line1": "9 N Buona Vista Dr",
      "state": "Singapore",
      "district": "Buona Vista",
      "line2": "THE METROPOLIS",
      "line_en": "9 N Buona Vista Dr, THE METROPOLIS",
      "postal_code": "138666"
    },
    "review_status": "SUCCESS",
    "idv_status": "PENDING",
    "idv_verification_url": "https://idv.sumsub.com/verify/abc123",
    "idv_url_expires_at": "2026-04-10T10:00:00+08:00"
  },
  "no_pin_payment_amount": "2000USD",
  "card_status": "ACTIVE",
  "card_currency": "USD",
  "card_product_id": "3bd1656b-e691-4aab-a76a-3ead39e7a6f6",
  "spending_controls": [
    {
      "amount": 100.03,
      "interval": "PER_TRANSACTION"
    }
  ],
  "risk_controls": {
    "enable_3ds": "Y",
    "allow_3ds_transactions": "Y",
    "allowed_mcc": null,
    "blocked_mcc": [
      "5999",
      "6011"
    ]
  },
  "metadata": {
    "key1": "value1",
    "key2": "value2"
  },
  "update_reason": "<string>",
  "consumed_amount": "51.00"
}

Documentation Index

Fetch the complete documentation index at: https://developers-sandbox.uqpaytech.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-auth-token
string
header
required

The API token for login provided by UQPay.

Headers

x-on-behalf-of
string

Specifies the sub-account on whose behalf the request is made. This should be set to the account_id, which can be retrieved via the List Connected Accounts endpoint. If omitted or empty, the request is executed using the master account. More information at Connected Accounts.

Path Parameters

id
string<uuid>
required

Universally unique identifier (UUID v4) of a resource.

Example:

"71fdb0fe-9682-457a-9361-e8868694f12f"

Response

200 - application/json

OK - Successfully retrieved a card.

card_id
string
required

Unique identifier for the card.

Example:

"c0cef051-29c5-4796-b86a-cd5b684bfad7"

card_bin
string
required

Card number prefix (BIN).

Example:

"40963608"

card_scheme
string
required

Card scheme.

Example:

"VISA"

card_number
string
required

Masked card number

Example:

"************5668"

form_factor
enum<string>
required

Form of the card - VIRTUAL or PHYSICAL, currently only support virtual card.

Available options:
VIRTUAL,
PHYSICAL
Example:

"VIRTUAL"

mode_type
enum<string>
required

Mode type enum - SINGLE or SHARE.

  • SINGLE - A single card only has prepaid mode.
  • SHARE - A share card can have debit mode, meaning it is associated with debit program and account.
Available options:
SHARE,
SINGLE
Example:

"SHARE"

card_limit
number
required

The total credit limit assigned to the card, currency refer to card_currency. This is not a cumulative balance, but a fixed credit limit similar to that of a credit card.

Field Behavior by Card BIN:
  • For the following BINs, card_limit is required during card creation and must be greater than or equal to 0.01:

    • 527735
    • 555071
    • 555243
  • For all other BINs, card_limit is optional:

    • If omitted, the system will default card_limit to 0.
    • If provided, the value must be greater than or equal to 0, with up to two decimal places. Negative values are not allowed.
Required range: x >= 0
Example:

2100.02

available_balance
string
required

The available balance, currency refer to card_currency.

Example:

2000.05

cardholder
object
required
no_pin_payment_amount
string
required

The allowable amount for card transactions without PIN verification, including the currency unit (e.g., 2000USD). This response field should be distinguished from the corresponding request parameter, which specifies the amount without a currency unit.

Example:

"2000USD"

card_status
enum<string>
required

Card status enum. See the Card lifecycle and statuses guide for more information.

Available options:
PENDING,
ACTIVE,
FROZEN,
BLOCKED,
CANCELLED,
LOST,
STOLEN,
FAILED
Example:

"ACTIVE"

card_currency
enum<string>

The card currency.

Available options:
SGD,
USD,
XUSD
Example:

"USD"

card_product_id
string<uuid>

The card product's unique identifier.

Example:

"3bd1656b-e691-4aab-a76a-3ead39e7a6f6"

spending_controls
object[]

Rules that control spending for this card.

risk_controls
object

User-customized risk control settings.

Supported configurations depend on the card BIN. See [Supported BINs for Risk Control Configurations](/card-issuance/v1.6/guide/Supported BINs for Risk Control Configurations) for details.

metadata
object

Any key-value object. Max length = 3200 bytes. This must be valid JSON data.

Example:
{ "key1": "value1", "key2": "value2" }
update_reason
string

The reason for updating card status.

Maximum string length: 100
consumed_amount
string

Reflects the cumulative amount of the card limit that has already been used.

Example:

"51.00"